## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csLinearAttenuation Struct Reference

Linear attenuation. More...

`#include <csgfx/vertexlight.h>`

List of all members.

## Public Member Functions

| csLinearAttenuation (const csLightProperties &light)
CS_FORCEINLINE_TEMPLATEMETHOD void | operator() (float distance, float &dp) const

## Public Attributes

float | invrad

## Detailed Description

Linear attenuation.

Out = in * (1 - distance/radius)

Definition at line 147 of file vertexlight.h.

The documentation for this struct was generated from the following file:

- csgfx/vertexlight.h